class Intercept < Formula
  desc "Static Application Security Testing (SAST) tool"
  homepage "https://intercept.cc"
  url "https://github.com/xfhg/intercept/archive/refs/tags/v1.6.1.tar.gz"
  sha256 "76bfd38b940702a3937712a8b66623c7b36f7e681e4f73f7c9778b9083621b99"
  license "AGPL-3.0-only"
  head "https://github.com/xfhg/intercept.git", branch: "master"

  depends_on "go" => :build

  def install
    system "go", "build", *std_go_args(ldflags: "-s -w")

    generate_completions_from_executable(bin/"intercept", "completion")

    pkgshare.install "examples"
  end

  test do
    cp_r "#{pkgshare}/examples", testpath

    output = shell_output("#{bin}/intercept config -r")
    assert_match "Config clear", output

    output = shell_output("#{bin}/intercept config -a examples/policy/minimal.yaml")
    assert_match "New Config created", output
  end
end
